<script>
import store from '/src/store/store.js'
import Snippets from "./Snippets/SnippetsSection.vue";
import Messages from "./Messages/MessagesSection.vue";
import MessageField from "./Input/MessageField.vue";

export default {
    name: "MainPage",
    components: {MessageField, Messages, Snippets},
    async mounted() {
        await store.dispatch('getActions');
        await store.dispatch('getModels');
    }
}
</script>

<template>
    <v-main>
        <v-container class="d-flex justify-start flex-column pa-6 h-100">
            <snippets style="height: auto;"/>
            <messages style="flex: 1;"/>
            <message-field/>
        </v-container>
    </v-main>
</template>

<style scoped>

</style>